#include<htc.h>

#define _XTAL_FREQ 8000000

void ADC_Init()
{
   ADCON0 = 0x41;
   ADCON1 = 0xC0;
}

unsigned int ADC_Read(unsigned char channel)
{
   if(channel > 7)
     return 0; 

   ADCON0 &= 0xC5;
   ADCON0 |= channel<<3;
   __delay_ms(2);
   GO_nDONE = 1;
   while(GO_nDONE);
   return ((ADRESH<<8)+ADRESL);
}

void main()
{
   unsigned int a;
   TRISB = 0x00;
   TRISC = 0x00;
   ADC_Init();

   do
   {
     a = ADC_Read(0);
     PORTB = a;
     PORTC = a>>8;
     __delay_ms(100);
   }while(1);
}